Class InvokeInferenceRouterResponse
- All Implemented Interfaces:
SdkPojo,ToCopyableBuilder<InvokeInferenceRouterResponse.Builder,InvokeInferenceRouterResponse>
-
Nested Class Summary
Nested Classes -
Method Summary
Modifier and TypeMethodDescriptionfinal SdkBytesbody()The inference that the model returned.builder()final StringThe MIME type of the inference returned in the response body.final StringProvides additional information in the response about the inference.final booleanfinal booleanequalsBySdkFields(Object obj) Indicates whether some other object is "equal to" this one by SDK fields.final <T> Optional<T> getValueForField(String fieldName, Class<T> clazz) Used to retrieve the value of a field from any class that extendsSdkResponse.final inthashCode()final StringThe production variant of the destination endpoint that served the request.final StringThe Amazon Resource Name (ARN) of the endpoint or inference component that served the request.final StringThe reason that the router chose the destination that served the request.static Class<? extends InvokeInferenceRouterResponse.Builder> Take this object and create a builder that contains all of the current property values of this object.final StringtoString()Returns a string representation of this object.Methods inherited from class software.amazon.awssdk.services.sagemakerinferencerouterruntime.model.SageMakerInferenceRouterRuntimeResponse
responseMetadataMethods inherited from class software.amazon.awssdk.core.SdkResponse
sdkHttpResponseMethods inherited from interface software.amazon.awssdk.utils.builder.ToCopyableBuilder
copy
-
Method Details
-
body
The inference that the model returned.
- Returns:
- The inference that the model returned.
-
contentType
The MIME type of the inference returned in the response body.
- Returns:
- The MIME type of the inference returned in the response body.
-
invokedRoutedResourceArn
The Amazon Resource Name (ARN) of the endpoint or inference component that served the request.
- Returns:
- The Amazon Resource Name (ARN) of the endpoint or inference component that served the request.
-
routingReason
The reason that the router chose the destination that served the request. Possible values:
-
local-preferred– The destination is a healthy destination in the router's Region. -
capacity-available– No destination in the router's Region could take the request, and two or more destinations in other Regions could. -
only-healthy– No destination in the router's Region could take the request, and exactly one destination in another Region could. -
failover– The router moved the request away from destinations in its Region because they were overloaded or returning errors. You also see this value when the router can't assess destination health, and when no destination is healthy and the router tries one anyway.
- Returns:
- The reason that the router chose the destination that served the request. Possible values:
-
local-preferred– The destination is a healthy destination in the router's Region. -
capacity-available– No destination in the router's Region could take the request, and two or more destinations in other Regions could. -
only-healthy– No destination in the router's Region could take the request, and exactly one destination in another Region could. -
failover– The router moved the request away from destinations in its Region because they were overloaded or returning errors. You also see this value when the router can't assess destination health, and when no destination is healthy and the router tries one anyway.
-
-
-
invokedProductionVariant
The production variant of the destination endpoint that served the request.
- Returns:
- The production variant of the destination endpoint that served the request.
-
customAttributes
Provides additional information in the response about the inference. This is the value that the model container of the destination returned, unchanged.
- Returns:
- Provides additional information in the response about the inference. This is the value that the model container of the destination returned, unchanged.
-
toBuilder
Description copied from interface:ToCopyableBuilderTake this object and create a builder that contains all of the current property values of this object.- Specified by:
toBuilderin interfaceToCopyableBuilder<InvokeInferenceRouterResponse.Builder,InvokeInferenceRouterResponse> - Specified by:
toBuilderin classAwsResponse- Returns:
- a builder for type T
-
builder
-
serializableBuilderClass
-
hashCode
public final int hashCode()- Overrides:
hashCodein classAwsResponse
-
equals
- Overrides:
equalsin classAwsResponse
-
equalsBySdkFields
Description copied from interface:SdkPojoIndicates whether some other object is "equal to" this one by SDK fields. An SDK field is a modeled, non-inherited field in anSdkPojoclass, and is generated based on a service model.If an
SdkPojoclass does not have any inherited fields,equalsBySdkFieldsandequalsare essentially the same.- Specified by:
equalsBySdkFieldsin interfaceSdkPojo- Parameters:
obj- the object to be compared with- Returns:
- true if the other object equals to this object by sdk fields, false otherwise.
-
toString
-
getValueForField
Description copied from class:SdkResponseUsed to retrieve the value of a field from any class that extendsSdkResponse. The field name specified should match the member name from the corresponding service-2.json model specified in the codegen-resources folder for a given service. The class specifies what class to cast the returned value to. If the returned value is also a modeled class, theSdkResponse.getValueForField(String, Class)method will again be available.- Overrides:
getValueForFieldin classSdkResponse- Parameters:
fieldName- The name of the member to be retrieved.clazz- The class to cast the returned object to.- Returns:
- Optional containing the casted return value
-
sdkFields
-
sdkFieldNameToField
- Specified by:
sdkFieldNameToFieldin interfaceSdkPojo- Returns:
- The mapping between the field name and its corresponding field.
-